#!/bin/bash

RTSHOT_CMD="$BRLCAD_BIN/rtshot -p 0 0 0 -d 1 0 0 -X 0x80000000"

declare -A RTSHOT_ARGS
RTSHOT_ARGS=(
    [rt_raybundle_maker]="-n 15 -c 5 -R 15"
    [rt_gen_circular_grid]="-g 1 -R 15"
    [rt_gen_conic]="-B conic -A 0.7853981633698 -c 15"
    [rt_gen_frustum]="-B frustum -A 0.7853981633698 -c 15"
    [rt_gen_rect]="-B rect -g 4 -l 30"
)

declare -A ZOOMS
ZOOMS=(
    [rt_raybundle_maker]="autoview; sca 0.001"
    [rt_gen_circular_grid]="autoview; sca 0.001"
    [rt_gen_conic]="autoview; zoom 2"
    [rt_gen_frustum]="autoview; zoom 2"
    [rt_gen_rect]="autoview; sca 0.002"
)

for a in ${!RTSHOT_ARGS[@]}; do
    $RTSHOT_CMD ${RTSHOT_ARGS[$a]} viewer.g viewer.s > $a.log 2>&1
    ./makepngs.sh $a "${ZOOMS[$a]}"
done
